Get Shopping List

Get a shopping list detail information

Authentication

X-Auth-Tokenstring
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
X-Store-Hashstring
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Path parameters

shoppingListIdstringRequired

Query parameters

userIdintegerOptional
B2B Edition buyer user ID, you can enter a user ID to check if this user can view this shopping list.
sortByenumOptional
the field to sort by
Allowed values:
orderByenumOptional
desc or asc for sort by
Allowed values:
customerIdintegerOptional
BigCommerce customer ID, passing this parameter will obtain the shopping list according to the b2c user.
offsetintegerOptional>=0Defaults to 0
Pagination offset for shopping list items
limitintegerOptional1-250Defaults to 250
Pagination limit for shopping list items

Response

OK
codeinteger
Response code of success request.
metaobject
dataobject
Response data

Errors

404
Not Found Error